PROGRAM HPF_PURE_TEST

real a1(100)
PROCESSORS p1(10)
DYNAMIC a1

contains
 REAL PURE  FUNCTION F()
    REAL pa(50), pb(100)
    !C3.1
    ALIGN pa(I) with a1(I+1)
    !C3.2
    DISTRIBUTE (BLOCK) onto p1 :: pb
    !C3.4
    REDISTRIBUTE (BLOCK) onto p1 :: a1
  END FUNCTION F

END
